description: >
    To implement the Activation apply options for a newly uploaded firmware
    image. The apply options property is specific to each firmware update
    and is used during firmware activation. ApplyOptions usage during
    firmware activation is implementation specific, not all firmware
    targets need ApplyOptions. This property is removed after activation
    of the firmware is done and when the firmware goes to Active state.
    The default value of this property is false.
properties:
    - name: ClearConfig
      type: boolean
      default: false
      description: >
        This property indicates whether to clear the software configurations
        when the firmware image update is getting applied. A value of true
        indicates the firmware configurations should be cleared along with
        firmware image activation.
